## python-opcodes 0.0~git20180424.6e2b0cd

=== sphinx/requirements.txt ===
sphinx
sphinx_bootstrap_theme

=== test/requirements.txt ===
nose==1.3

=== debian/changelog ===
python-opcodes (0.0~git20180424.6e2b0cd-3) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Tue, 30 Jun 2020 00:11:52 +0800

python-opcodes (0.0~git20180424.6e2b0cd-2) experimental; urgency=medium

  * Rename doc package name from python3-*-doc to python-*-doc.

 -- Mo Zhou <lumin@debian.org>  Fri, 01 May 2020 09:19:00 +0800

python-opcodes (0.0~git20180424.6e2b0cd-1) experimental; urgency=medium

  * Initial release (Closes: #959183)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 30 Apr 2020 21:36:35 +0800

=== debian/control ===
Source: python-opcodes
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Mo Zhou <lumin@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools,
Build-Depends-Indep:
 python3-sphinx,
 python3-sphinx-bootstrap-theme,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/Maratyszcza/Opcodes
Vcs-Git: https://salsa.debian.org/deeplearning-team/python-opcodes.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/python-opcodes

Package: python3-opcodes
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-opcodes-doc,
Description: Database of Processor Instructions/Opcodes (Python 3)
 The project provides descriptions for most user-mode x86, x86-64, and k1om
 instructions up to AVX-512 and SHA (including 3dnow!+, XOP, FMA3, FMA4,
 TBM and BMI2).
 .
 This package installs the library for Python 3.

Package: python-opcodes-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-bootstrap,
Built-Using: ${sphinxdoc:Built-Using},
Multi-Arch: foreign
Description: Database of Processor Instructions/Opcodes (common documentation)
 The project provides descriptions for most user-mode x86, x86-64, and k1om
 instructions up to AVX-512 and SHA (including 3dnow!+, XOP, FMA3, FMA4,
 TBM and BMI2).
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=opcodes


%:
	dh $@ -Spybuild --with python3,sphinxdoc

execute_after_dh_auto_clean:
	-$(RM) -rf sphinx/html opcodes.egg-info

execute_after_dh_auto_build:
	python3 -m sphinx sphinx sphinx/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-opcodes -ppython-opcodes-doc
	dh_installdocs -ppython3-opcodes

execute_after_dh_installdocs:
	-find debian -type f,l -name '*.js' -delete
	-find debian -type d -name 'bootstrap*' -exec $(RM) -rf '{}' \;
	-find debian -type d -name 'bootswatch*' -exec $(RM) -rf '{}' \;
	-find debian -type f -name '*doctree*' -delete
	-find debian -type d -name '.doctrees' -exec $(RM) -rf '{}' \;

execute_before_dh_link:
	-$(RM) -r \
		debian/python-opcodes-doc/usr/share/doc/python3-opcodes/html/_static/bootstrap*

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/Maratyszcza/Opcodes \
HEAD debian uupdate
